@import url('https://fonts.googleapis.com/css?family=Charmonman|Ubuntu:400,500&subset=latin-ext');
$mainMargin: 20px;
$mainPadding: 10px;
$mainFont: "Arial";
$myFonts:'Charmonman'/*,'ubuntu'*/;
$fontSize: 14px;



$color1: #6D7696; // djupblå
$color2: #59484F; // plommon
$color3: #455C4F; // mörkgrå
$color4: #CC5543; // orangeröd
$color5: #EDB579; // gulorange
$color6: #DBE6AF; // ljusgrön
$color7:rgb(0, 0, 250);//mörkBlå

@mixin myBorder($width:10px,$color:$color7,$style:double,$radius:10px){
	border:{
		width:$width;
		color:$color;
		style:$style;
		radius:$radius;
	}
}

.linkGrid
{
	background:$color7;
	margin: 1em;
	padding: 0.5em;
	display: grid;


	/*gutter/grid-gap
	grid-column-gap: 10px;
	grid-row-gap: 10px;
	grid-gap: 10px;

	grid-template-columns:25% repeat(4,1fr);
	grid-template-rows: 1fr 2fr 3fr;

	*/
	/*gutter/grid-gap12345678910*/



	grid:{






		column-gap: 10px;
		row-gap: 10px;
		template-columns:25% repeat(4,1fr);
		template-rows: 1fr 2fr 3fr;
	}

	/*
	grid-template-columns: 200px 300px 100px auto;
	*/
}



h1{
	background-color: $color5;
	color: $color2; // plommon
	padding: $mainPadding+10px;
	font-family: $myFonts;
	text-align: center;
	@include myBorder($color:$color2,$style:double);
}
h2{
	color: lighten($color2, 5%); // plommon
	margin-top: $mainMargin*2;
	font-family: $mainFont;
	@include myBorder($style:solid);
}
h3{
	color: mix($color1, white,70); // djupblå
	padding: mainPadding;
}
p{
	color: lighten($color2, 10%); // plommon
	margin-left: $mainMargin;
}


$className:"loop";


div.#{$className}
{
	height: 30px;
	width: 100px;
	margin:{
		top: 10px;
		bottom: 10px;
		left: 0;
		right: 0;
	}
}


$i:1;

@while $i<6
{
	section div.loop:nth-child(#{$i})
	{
		background-color: lighten($color7,$i*5);
		width:200px*$i;
		$i:$i+1;
	}


}
